ExpandNodeCommandEvent (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.state.events.ExpandNodeCommandEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.state.events
Class ExpandNodeCommandEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.FacesEvent
              org.richfaces.component.state.events.TreeStateCommandEvent
                  org.richfaces.component.state.events.TreeStateCommandNodeEvent
                      org.richfaces.component.state.events.ExpandNodeCommandEvent

All Implemented Interfaces:
  java.io.Serializable

    public class ExpandNodeCommandEvent

extends TreeStateCommandNodeEvent

Author:
  Nick - mailto:nbelaevski@exadel.com created 01.12.2006
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ExpandNodeCommandEvent(javax.faces.component.UIComponent component, org.richfaces.model.TreeRowKey rowKey)`

Method Summary
`protected void` | `execute(TreeStateCommandsListener commandsListener)`

Methods inherited from class org.richfaces.component.state.events.TreeStateCommandNodeEvent
`getRowKey`

Methods inherited from class org.richfaces.component.state.events.TreeStateCommandEvent
`isAppropriateListener, processListener`

Methods inherited from class javax.faces.event.FacesEvent
`getComponent, getPhaseId, queue, setPhaseId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExpandNodeCommandEvent

    public ExpandNodeCommandEvent(javax.faces.component.UIComponent component,
                                  org.richfaces.model.TreeRowKey rowKey)

Method Detail

### execute

    protected void execute(TreeStateCommandsListener commandsListener)
                    throws java.io.IOException

  Specified by:
    `execute` in class `TreeStateCommandEvent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.